| Home | Libraries | People | FAQ | More

#### http::basic_fields::element

##### Synopsis

Defined in header `<boost/beast/http/fields.hpp>`

    struct element :
        public boost::intrusive::list_base_hook< boost::intrusive::link_mode< boost::intrusive::normal_link > >,
        public boost::intrusive::set_base_hook< boost::intrusive::link_mode< boost::intrusive::normal_link > >,
        public http::basic_fields< Allocator >::value_type

##### Member Functions

Name | Description
--- | ---
element |
name | Returns the field enum, which can be field::unknown.
name_string | Returns the field name as a string.
value | Returns the value of the field.

##### Description

Convenience header `<boost/beast/http.hpp>`